package com.ruoyi.homepage.service;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.homepage.model.param.ChartReq;
import com.ruoyi.homepage.model.param.RankingListReq;
import com.ruoyi.homepage.model.result.ChartResult;

/**
 * 首页数据统计
 *
 * @author liwenlong
 * @date 2023-02-13
 */
public interface HomePageService {


    /**
     * 后台首页统计
     * @return
     */
    AjaxResult statistics();


    /**
     * 订单金额统计
     * @param req
     * @return
     */
    AjaxResult orderAmountChart(ChartReq req);


    /**
     * 消费排行榜
     * @param req
     * @return
     */
    AjaxResult rankingList(RankingListReq req);

    AjaxResult classificationProportion(ChartReq req);

    AjaxResult newOldCustomers(ChartReq req);

    AjaxResult<ChartResult> orderAmountChartNear(ChartReq req);
}